summaryrefslogtreecommitdiffstats
path: root/bin/launch
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2021-07-05 19:01:01 -0400
committerJesse Luehrs <doy@tozt.net>2021-07-05 19:01:01 -0400
commit0c7b84faf05e510dfc38f8f69b8a107d1ada8c80 (patch)
tree438f704e6b043d1bcf251900f5a426af87f025c8 /bin/launch
parent573a37010fac2c1ff893257be19a1f2842ce11e1 (diff)
downloadpuppet-tozt-0c7b84faf05e510dfc38f8f69b8a107d1ada8c80.tar.gz
puppet-tozt-0c7b84faf05e510dfc38f8f69b8a107d1ada8c80.zip
start building a new mail server
Diffstat (limited to 'bin/launch')
-rwxr-xr-xbin/launch18
1 files changed, 9 insertions, 9 deletions
diff --git a/bin/launch b/bin/launch
index 5ae25a4..2ae4738 100755
--- a/bin/launch
+++ b/bin/launch
@@ -6,13 +6,13 @@ script_path="$(realpath "$(dirname "$0")")"
secrets_bin="${script_path}/secrets"
case "$1" in
- base|tozt|algo|mail|partofme)
- "$secrets_bin" open
- trap '"$secrets_bin" close' EXIT
- "$(dirname "$0")/helpers/launch-$1"
- ;;
- *)
- echo "unknown host $1" >&2
- exit 1
- ;;
+base | tozt | algo | mail | mail2 | partofme)
+ "$secrets_bin" open
+ trap '"$secrets_bin" close' EXIT
+ "$(dirname "$0")/helpers/launch-$1"
+ ;;
+*)
+ echo "unknown host $1" >&2
+ exit 1
+ ;;
esac